Shared line assignments
List shared line assignments
Lists the project’s shared line assignments, oldest first. Released assignments are excluded unless includeReleased is set. Requires the platforms:read permission bound to the project resource in the path.
GET
/
v1
/
projects
/
{id}
/
platforms
/
imessage
/
assignments
List shared line assignments
curl --request GET \
--url https://api.photon.codes/v1/projects/{id}/platforms/imessage/assignments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.photon.codes/v1/projects/{id}/platforms/imessage/assignments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.photon.codes/v1/projects/{id}/platforms/imessage/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.photon.codes/v1/projects/{id}/platforms/imessage/assignments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.photon.codes/v1/projects/{id}/platforms/imessage/assignments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.photon.codes/v1/projects/{id}/platforms/imessage/assignments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.photon.codes/v1/projects/{id}/platforms/imessage/assignments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"assignments": [
{
"assignedPhoneNumber": "<string>",
"assignmentId": "<string>",
"createdAt": "2026-01-01T00:00:00.000Z",
"handle": "<string>",
"optIn": {
"state": "pending",
"receivedAt": "2026-01-01T00:00:00.000Z"
},
"platform": "imessage",
"projectId": "<string>",
"updatedAt": "2026-01-01T00:00:00.000Z",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"releasedAt": "2026-01-01T00:00:00.000Z"
}
],
"nextPageToken": "<string>"
}{
"code": "INVALID_API_VERSION",
"status": 400,
"supportedVersions": [
"<string>"
],
"title": "Invalid API Version",
"type": "https://photon.codes/docs/problems/invalid-api-version",
"detail": "<string>",
"instance": "<string>",
"remediation": "<unknown>",
"requestId": "<string>"
}{
"code": "NOT_AUTHENTICATED",
"status": 401,
"title": "Not Authenticated",
"type": "https://photon.codes/docs/problems/not-authenticated"
}{
"code": "FORBIDDEN",
"status": 403,
"title": "Forbidden",
"type": "https://photon.codes/docs/problems/forbidden"
}{
"code": "RETIRED_API_VERSION",
"status": 410,
"supportedVersions": [
"<string>"
],
"title": "Retired API Version",
"type": "https://photon.codes/docs/problems/retired-api-version",
"detail": "<string>",
"instance": "<string>",
"remediation": "<unknown>",
"requestId": "<string>"
}{
"code": "VALIDATION_FAILED",
"issues": [
{
"code": "invalid_type",
"location": "json",
"message": "Expected a string.",
"path": "/name"
}
],
"status": 422,
"title": "Request Validation Failed",
"type": "https://photon.codes/docs/problems/validation-failed"
}{
"code": "RATE_LIMITED",
"status": 429,
"title": "Too Many Requests",
"type": "https://photon.codes/docs/problems/rate-limited"
}{
"code": "INTERNAL_ERROR",
"status": 500,
"title": "Internal Server Error",
"type": "https://photon.codes/docs/problems/internal-error"
}{
"code": "UPSTREAM_FAILURE",
"status": 502,
"title": "Upstream Service Failure",
"type": "https://photon.codes/docs/problems/upstream-failure"
}{
"code": "UPSTREAM_UNAVAILABLE",
"status": 503,
"title": "Upstream Service Unavailable",
"type": "https://photon.codes/docs/problems/upstream-unavailable"
}{
"code": "REQUEST_TIMEOUT",
"status": 504,
"title": "Request Timeout",
"type": "https://photon.codes/docs/problems/request-timeout"
}Authorizations
accountServiceKeyprojectApiKey
Account Service Key, prefixed with pho_ask_, sent as Authorization: Bearer <key>. Acts on behalf of its owning account, subject to the permissions and credential restrictions of each operation. Account access tokens and OAuth grants also use the Bearer header. In organizations that require SSO, Account Service Keys are not accepted for managing the organization's SSO settings, deleting the organization, or checking whether it can be deleted.
Headers
Query Parameters
Was this page helpful?
⌘I
List shared line assignments
curl --request GET \
--url https://api.photon.codes/v1/projects/{id}/platforms/imessage/assignments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.photon.codes/v1/projects/{id}/platforms/imessage/assignments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.photon.codes/v1/projects/{id}/platforms/imessage/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.photon.codes/v1/projects/{id}/platforms/imessage/assignments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.photon.codes/v1/projects/{id}/platforms/imessage/assignments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.photon.codes/v1/projects/{id}/platforms/imessage/assignments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.photon.codes/v1/projects/{id}/platforms/imessage/assignments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"assignments": [
{
"assignedPhoneNumber": "<string>",
"assignmentId": "<string>",
"createdAt": "2026-01-01T00:00:00.000Z",
"handle": "<string>",
"optIn": {
"state": "pending",
"receivedAt": "2026-01-01T00:00:00.000Z"
},
"platform": "imessage",
"projectId": "<string>",
"updatedAt": "2026-01-01T00:00:00.000Z",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"releasedAt": "2026-01-01T00:00:00.000Z"
}
],
"nextPageToken": "<string>"
}{
"code": "INVALID_API_VERSION",
"status": 400,
"supportedVersions": [
"<string>"
],
"title": "Invalid API Version",
"type": "https://photon.codes/docs/problems/invalid-api-version",
"detail": "<string>",
"instance": "<string>",
"remediation": "<unknown>",
"requestId": "<string>"
}{
"code": "NOT_AUTHENTICATED",
"status": 401,
"title": "Not Authenticated",
"type": "https://photon.codes/docs/problems/not-authenticated"
}{
"code": "FORBIDDEN",
"status": 403,
"title": "Forbidden",
"type": "https://photon.codes/docs/problems/forbidden"
}{
"code": "RETIRED_API_VERSION",
"status": 410,
"supportedVersions": [
"<string>"
],
"title": "Retired API Version",
"type": "https://photon.codes/docs/problems/retired-api-version",
"detail": "<string>",
"instance": "<string>",
"remediation": "<unknown>",
"requestId": "<string>"
}{
"code": "VALIDATION_FAILED",
"issues": [
{
"code": "invalid_type",
"location": "json",
"message": "Expected a string.",
"path": "/name"
}
],
"status": 422,
"title": "Request Validation Failed",
"type": "https://photon.codes/docs/problems/validation-failed"
}{
"code": "RATE_LIMITED",
"status": 429,
"title": "Too Many Requests",
"type": "https://photon.codes/docs/problems/rate-limited"
}{
"code": "INTERNAL_ERROR",
"status": 500,
"title": "Internal Server Error",
"type": "https://photon.codes/docs/problems/internal-error"
}{
"code": "UPSTREAM_FAILURE",
"status": 502,
"title": "Upstream Service Failure",
"type": "https://photon.codes/docs/problems/upstream-failure"
}{
"code": "UPSTREAM_UNAVAILABLE",
"status": 503,
"title": "Upstream Service Unavailable",
"type": "https://photon.codes/docs/problems/upstream-unavailable"
}{
"code": "REQUEST_TIMEOUT",
"status": 504,
"title": "Request Timeout",
"type": "https://photon.codes/docs/problems/request-timeout"
}